<template>
	<div v-if="error.statusCode == 500">{{ error.message || 'error' }}</div>
</template>

<script>
import Report from '@/log-center/log';
import { getMid, appVersionCode } from '@/utils/help';
export default {
	name: 'error',
	props: ['error'],
	data() {
		return {
			mid: getMid(),
		};
	},
	mounted() {
		// 埋点
		Report.reportLog({
			baseInfo: {
				appVersionCode: appVersionCode,
				mid: this.mid,
				pageSource: Report.pageSource.error_landing_page,
				machineCode: this.mid,
			},
			params: {
				url: window.location.href,
			},
		});
	},
};
</script>

<style lang="scss"></style>
